%define upstream_name    PPIx-EditorTools
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Introduces a temporary variable using PPI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor) >= 1.20.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(PPI) >= 1.203.0
BuildRequires: perl(PPI::Find)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Base class and utility methods for manipulating Perl via PPI. Pulled out
from the 'Padre::Task::PPI' code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.210.0-3.mga9
+ Revision: 1819254
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.210.0-2.mga8
+ Revision: 1514673
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 27 2018 tv <tv> 0.210.0-1.mga7
+ Revision: 1308102
- update to 0.21

* Thu Sep 20 2018 umeabot <umeabot> 0.180.0-10.mga7
+ Revision: 1285476
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.180.0-9.mga7
+ Revision: 1166340
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.180.0-8.mga7
+ Revision: 1160654
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-7.mga6
+ Revision: 1032686
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.180.0-6.mga6
+ Revision: 938970
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 748775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 685845
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 513871
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 371334
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 315812
- update to 0.18

* Fri Aug 31 2012 kharec <kharec> 0.170.0-1.mga3
+ Revision: 286367
- update to 0.17

* Wed Jun 15 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 107283
- update to 0.15

* Fri Mar 25 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 77306
- update to 0.13

* Wed Feb 16 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 52632
- update to 0.11

* Sun Jan 23 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 34108
- mageia rebuild
- imported package perl-PPIx-EditorTools

